GA failing to compile in NWChem6.1.1

From NWChem

Viewed 1169 times, With a total of 0 Posts
Jump to: navigation, search

Clicked A Few Times
Threads 13
Posts 35
I am trying to compile NWChem 6.1.1 and keep getting errors when compiling GA.

The errors are here: http://pastebin.com/sj1FBYDn (FYI - pasting the errors into this message made it too long to submit)

I am trying to use a specially compiled version of OpenMPI 1.8 that has some memchecking enabled for valgrind. I am able to compile using the normal system version of OpenMPI, but for some reason I keep getting the GA compilation errors at the pastebin link when I try to use this other version.

I've updated my path and the MPI_LOC, but that doesn't seem to be the problem. What can I do to fix this? Is there more information needed?

For reference, here are my compiling environment variables:

export NWCHEM_TOP=~/nwchem6.1.1
export NWCHEM_TARGET=LINUX64
export NWCHEM_MODULES=all
export FC=gfortran
export CC=cc

export BLASOPT="-llapack -lcblas -lf77blas -latlas"

export USE_NOFSCHECK=True

#Setup MPI compiling
export USE_MPI='y'
export USE_MPIF='y'
export USE_MPIF4='y'

#export MPI_LOC='/usr/lib/openmpi'
export MPI_LOC='/home/weverett/lib/openmpi'
export MPI_LIB=$MPI_LOC'/lib'
export MPI_INCLUDE=$MPI_LOC'/include'
export LIBMPI='-lmpi_f90 -lmpi_f77 -lmpi -ldl -Wl,--export-dynamic -lnsl -lutil'


Forum >> NWChem's corner >> Compiling NWChem



Who's here now Members 0 Guests 0 Bots/Crawler 1


AWC's: 2.5.10 MediaWiki - Stand Alone Forum Extension
Forum theme style by: AWC